[rspec-devel] [ rspec-Bugs-11843 ] watir_behaviour missing from spec_ui gem

noreply at rubyforge.org noreply at rubyforge.org
Mon Jun 25 19:07:47 EDT 2007


Bugs item #11843, was opened at 2007-06-25 16:07
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=11843&group_id=797

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Erik Ostrom (eostrom)
Assigned to: Nobody (None)
Summary: watir_behaviour missing from spec_ui gem

Initial Comment:
I installed watir 1.4.1 and spec_ui 0.2.3 on Windows XP (Ruby 1.8.6) and edited files as described here:

http://rubyforge.org/pipermail/rspec-users/2007-May/001541.html

I wrote a simple spec, tried to run it, and got this:


c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in 'gem_original_require': no such file to load -- spec/ui/watir/watir_behaviour (MissingSourceFile)
        from c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
        from C:/workspace/april/config/../vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:495:in `require'
        from C:/workspace/april/config/../vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:342:in `new_constants_in'
        from C:/workspace/april/config/../vendor/rails/activerecord/lib/../../activesupport/lib/active_support/dependencies.rb:495:in `require'
        from c:/ruby/lib/ruby/gems/1.8/gems/spec_ui-0.2.3/lib/spec/ui/watir.rb:3


The relevant line is this:


    require 'spec/ui/watir/watir_behaviour'


The installed gem directory .../gems/spec_ui-0.2.3/lib/spec/ui/watir contains browser.rb, matchers.rb, but no watir_behaviour.rb.


----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=3149&aid=11843&group_id=797


More information about the rspec-devel mailing list